/**
 *
 * @param {TemplateStringsArray} strings
 * @param  {any[]} values
 * @returns {Node[]}
 */
export function b(strings: TemplateStringsArray, ...values: any[]): Node[];
/**
 *
 * @param {TemplateStringsArray} strings
 * @param  {any[]} values
 * @returns {Expression & { start: Number, end: number }}
 */
export function x(strings: TemplateStringsArray, ...values: any[]): Expression & {
    start: number;
    end: number;
};
/**
 *
 * @param {TemplateStringsArray} strings
 * @param  {any[]} values
 * @returns {(Property | SpreadElement) & { start: Number, end: number }}
 */
export function p(strings: TemplateStringsArray, ...values: any[]): (Property | SpreadElement) & {
    start: number;
    end: number;
};
export { print } from "./print/index.js";
export function parse(source: string, opts: any): any;
export function parseExpressionAt(source: string, index: number, opts: any): any;
export type Expression = import('estree').Expression;
export type Node = import('estree').Node;
export type ObjectExpression = import('estree').ObjectExpression;
export type Property = import('estree').Property;
export type SpreadElement = import('estree').SpreadElement;
export type CommentWithLocation = import('./utils/comments').CommentWithLocation;
